Bug 504707 - Review Request: rubygem-locale_rails - Ruby-Locale for Ruby on Rails
Review Request: rubygem-locale_rails - Ruby-Locale for Ruby on Rails
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 504710
  Show dependency treegraph
 
Reported: 2009-06-08 17:54 EDT by Mamoru TASAKA
Modified: 2009-06-23 00:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-23 00:44:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oget.fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2009-06-08 17:54:42 EDT
Spec URL: http://mtasaka.fedorapeople.org/Review_request/Ruby_on_Rails/rubygem-locale_rails.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/Ruby_on_Rails/rubygem-locale_rails-2.0.4-1.fc.src.rpm
Description: 
This library provides some Rails localized functions.

This is useful with Rails i18n backends which doesn't have
auto-detection and some other features includes this library.

koji scratch build:
- for F-12: http://koji.fedoraproject.org/koji/taskinfo?taskID=1399850
- for F-11: http://koji.fedoraproject.org/koji/taskinfo?taskID=1399869

For rpmlint:
----------------------------------------------------------------
rubygem-locale_rails-doc.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/locale_rails-2.0.4/test/db/schema.rb
rubygem-locale_rails-doc.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/locale_rails-2.0.4/test/public/favicon.ico
rubygem-locale_rails-doc.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/locale_rails-2.0.4/sample/public/favicon.ico
---------------------------------------------------------------
- For now I don't know if I can remove these file safely so I will
  keep these files for now.

Note that currently this file is for F-11 and above.
Comment 1 Orcan Ogetbil 2009-06-21 00:01:37 EDT
I reviewed this package. There is only one tiny license issue:

* I think the .js files that go to the %doc package are licensed under MIT.

Please verify this and change the license tag of the doc package if appropriate.

-------------------------------------------------------
This package (rubygem-locale_rails) is APPROVED by oget
-------------------------------------------------------
Comment 2 Mamoru TASAKA 2009-06-21 14:23:06 EDT
Thanks! 

(In reply to comment #1)
> * I think the .js files that go to the %doc package are licensed under MIT.
Actually you're correct. I will reflect your comments.

---------------------------------------------------------------
New Package CVS Request
=======================
Package Name:       rubygem-locale_rails
Short Description:  Ruby-Locale for Ruby on Rails
Owners:             mtasaka
Branches:           F-11
InitialCC:          (nobody)
Comment 3 Kevin Fenzi 2009-06-22 22:15:00 EDT
cvs done.
Comment 4 Mamoru TASAKA 2009-06-23 00:44:47 EDT
Successfully rebuilt on all branches, submitted push request on
bodhi, closing.

Thank you for the review and CVS procedure.

Note You need to log in before you can comment on or make changes to this bug.